## org.hibernate.hql.internal.ast.tree
Class IdentNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
                              org.hibernate.hql.internal.ast.tree.FromReferenceNode
                                  org.hibernate.hql.internal.ast.tree.IdentNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, InitializeableNode, PathNode, ResolvableNode, SelectExpression

    public class IdentNode

extends FromReferenceNode
implements SelectExpression

Represents an identifier all by itself, which may be a function name, a class alias, or a form of naked property-ref depending on the context.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.hql.internal.ast.tree.FromReferenceNode
`ROOT_LEVEL`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`IdentNode()`

Method Summary
`Type` `getDataType()` Returns the data type of the select expression.
`String` `getDisplayText()` Returns additional display text for the AST node.
`void` `resolve(boolean generateJoin, boolean implicitJoin, String classAlias, antlr.collections.AST parent)` Does the work of resolving an identifier or a dot
`void` `resolveIndex(antlr.collections.AST parent)` Does the work of resolving an an index [].
`void` `setScalarColumnText(int i)` Appends AST nodes that represent the columns after the current AST node.

Methods inherited from class org.hibernate.hql.internal.ast.tree.FromReferenceNode
`getFromElement, getImpliedJoin, getPath, isResolved, isReturnableEntity, prepareForDot, recursiveResolve, recursiveResolve, resolve, resolve, resolveFirstChild, resolveInFunctionCall, setFromElement, setResolved`

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
`getAlias, getScalarColumnIndex, isConstructor, isScalar, setAlias, setScalarColumn`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.SelectExpression
`getAlias, getFromElement, getScalarColumnIndex, isConstructor, isReturnableEntity, isScalar, setAlias, setScalarColumn, setText`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.InitializeableNode
`initialize`

Constructor Detail

### IdentNode

    public IdentNode()

Method Detail

### resolveIndex

    public void resolveIndex(antlr.collections.AST parent)
                      throws antlr.SemanticException

  Description copied from interface: `ResolvableNode`
  Does the work of resolving an an index [].

  Specified by:
    `resolveIndex` in interface `ResolvableNode`
  Throws:
    `antlr.SemanticException`

### resolve

    public void resolve(boolean generateJoin,
                        boolean implicitJoin,
                        String classAlias,
                        antlr.collections.AST parent)

  Description copied from interface: `ResolvableNode`
  Does the work of resolving an identifier or a dot

  Specified by:
    `resolve` in interface `ResolvableNode`

### getDataType

    public Type getDataType()

  Description copied from interface: `SelectExpression`
  Returns the data type of the select expression.

  Specified by:
    `getDataType` in interface `SelectExpression`
  Overrides:
    `getDataType` in class `SqlNode`
  Returns:
    The data type of the select expression.

### setScalarColumnText

    public void setScalarColumnText(int i)
                             throws antlr.SemanticException

  Description copied from interface: `SelectExpression`
  Appends AST nodes that represent the columns after the current AST node. (e.g. 'as col0_O_')

  Specified by:
    `setScalarColumnText` in interface `SelectExpression`
  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException` - if a semantic error occurs

### getDisplayText

    public String getDisplayText()

  Description copied from interface: `DisplayableNode`
  Returns additional display text for the AST node.

  Specified by:
    `getDisplayText` in interface `DisplayableNode`
  Overrides:
    `getDisplayText` in class `FromReferenceNode`
  Returns:
    String - The additional display text.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.